org.gradle.api.publish.maven

## Class InvalidMavenPublicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.InvalidUserDataException
          - - org.gradle.api.publish.maven.InvalidMavenPublicationException

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class InvalidMavenPublicationException
      extends InvalidUserDataException

  Thrown when attempting to publish with an invalid `MavenPublication`.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidMavenPublicationException(String publicationName, String error)`
    `InvalidMavenPublicationException(String publicationName, String error, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidMavenPublicationException

          public InvalidMavenPublicationException(String publicationName,
                                          String error)

    - #### InvalidMavenPublicationException

          public InvalidMavenPublicationException(String publicationName,
                                          String error,
                                          Throwable cause)